## webfav 1.0ubuntu1

=== Makefile ===

JAR = webfav.jar
EXTDIR = usr/lib/firefox-3.0/extensions/netbook-webfav@ubuntu.com
# TODO: fix version!
XPI = webfav-1.0.xpi

all:	jar

jar:
	cd chrome ; zip -q -r -0 ${JAR} content locale skin

xpi: jar
	mkdir -p build/chrome
	cp -r install.rdf chrome.manifest build
	cp chrome/${JAR} build/chrome
	cd build ; zip -r ${XPI} defaults install.rdf chrome chrome.manifest
	cp build/${XPI} .
	rm -rf build

clean:
	rm -f chrome/${JAR}
	rm -f ${XPI}

distclean: clean

install:
	mkdir -p ${DESTDIR}/${EXTDIR}/chrome
	install -m 644 install.rdf ${DESTDIR}/${EXTDIR}
	install -m 644 chrome.manifest ${DESTDIR}/${EXTDIR}
	install -m 644 chrome/${JAR} ${DESTDIR}/${EXTDIR}/chrome

=== debian/changelog ===
webfav (1.0ubuntu1) hardy; urgency=low

  * updated copyright information for gnome-theme icons
  * cleaned up and commented webfav.js
  * changed version number to include ubunutu  

 -- Bill Filler <bill.filler@canonical.com>  Mon, 30 Jun 2008 14:44:32 -0400

webfav (1.0.2) hardy; urgency=low

  * added extension to Bookmark menu
  * modified position in Context menu
  * correctly place toolbar icon next to home button 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 23 Jun 2008 17:38:52 -0400

webfav (1.0.1) hardy; urgency=low

  * change menu and tooltip labels
  * comment out alert if failure occurs in saveIcon
  * removed Bookmark link functionality for now 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 20 Jun 2008 10:52:34 -0400

webfav (1.0) hardy; urgency=low

  * initial release

 -- Bill Filler <bill.filler@canonical.com>  Thu, 19 Jun 2008 11:20:03 -0500

=== debian/control ===
Source: webfav
Section: web
Priority: optional
Maintainer: Bill Filler <bill.filler@canonical.com>
Build-Depends: debhelper (>= 5), cdbs, zip
Standards-Version: 3.7.2

Package: webfav
Architecture: all
Depends: firefox | firefox-3.0 | firefox-2, apturl (>= 0.1.2ubuntu1)
Description: Firefox extension for saving web favorite
 to the Netbook Launcher.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
DEB_MAKE_CLEAN_TARGET := distclean

## webfav 1.0ubuntu2

=== debian/changelog ===
webfav (1.0ubuntu2) hardy; urgency=low

  * repackage to conform to ubuntu-mozillateam standards

 -- Bill Filler <bill.filler@canonical.com>  Sun, 03 Aug 2008 21:21:51 -0400

## webfav 1.0ubuntu4

=== debian/changelog ===
webfav (1.0ubuntu4) hardy; urgency=low

  * Add following locales with translations: de, es, fr, hu, it, ja, pl, pt-BR,
    ru, zh-CN, zh-TW

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 07 Aug 2008 11:59:21 -0400

## webfav 1.0ubuntu5

=== debian/changelog ===
webfav (1.0ubuntu5) hardy; urgency=low

  * Add following locales with translations: ar ca cs da el eu fi gl he ko nl
    no ro sl sv tr

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 17 Sep 2008 16:57:23 -0400

=== debian/rules ===
#!/usr/bin/make -f

# name the package (as in debian/control) that will ship the extension
MOZ_EXTENSION_PKG := webfav

# xpi.mk will auto detect the .xpi in your package. if you want to do it
# explicit, use this variable
#MOZ_XPI_FILE := yourextension.xpi

# xpi.mk tries to auto detect the extension manager id (em:id) from the .xpis
# install.rdf file. There might be cases where this doesn't work. use the following
# variable to explicitly define an extension ID and disable auto detection
MOZ_XPI_EMID := netbook-webfav@ubuntu.com

# xpi.mk will run a build command before packaging an .xpi file. you can use this
# to produce an .xpi. if you define this, the clean rule will remove any .xpi file
# found in the top level directory
#MOZ_XPI_BUILD_COMMAND = sh build.sh

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

## webfav 1.0ubuntu6

=== debian/changelog ===
webfav (1.0ubuntu6) hardy; urgency=low

  * removed no translation and replaced with nb. since 'no' for Norwegian 
    is ambiguous and deprecated and comparison of the new oem-config translations confirms that they're Norwegian Bokmaal (not Nynorsk).  LP: #299622. 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 20 Nov 2008 16:40:05 -0500

## webfav 1.0ubuntu7

=== debian/changelog ===
webfav (1.0ubuntu7) hardy; urgency=low

  * added locale/sk 

 -- Bill Filler <bill.filler@canonical.com>  Sat, 22 Nov 2008 22:13:46 -0500

## webfav 1.0ubuntu8

=== debian/changelog ===
webfav (1.0ubuntu8) hardy; urgency=low

  * correctly repackaged chrome.jar to have right file structure 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 02 Dec 2008 18:28:15 -0500

=== debian/control ===
Source: webfav
Section: web
Priority: optional
Maintainer: Bill Filler <bill.filler@canonical.com>
Build-Depends: debhelper (>= 5), cdbs, mozilla-devscripts (>= 0.5~)
Standards-Version: 3.7.3

Package: webfav
Architecture: all
Depends: firefox | firefox-3.0 | firefox-2
Description: Firefox extension for saving web favorite
 to the Netbook Launcher.

## webfav 1.13

=== debian/changelog ===
webfav (1.13) netbook-common; urgency=low

  * removed netbook in UI visible text  

 -- Bill Filler <bill.filler@canonical.com>  Wed, 08 Apr 2009 10:38:26 -0400

webfav (1.12) netbook-common; urgency=low

  * added translations for Portugese (Iberian) pt per LP: #308447 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 23 Feb 2009 17:10:18 -0500

webfav (1.11) hardy; urgency=low

  * added proper license headers to files 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 22 Jan 2009 16:38:01 -0500

webfav (1.1) hardy; urgency=low

  * added build.sh and config_build.sh, modified debian/rules to auto
    create .xpi and .jar files.
  * dropped uneeded ubuntu from version number 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 14 Jan 2009 10:42:06 -0500

=== debian/control ===
Source: webfav
Section: web
Priority: optional
Maintainer: Bill Filler <bill.filler@canonical.com>
Build-Depends: debhelper (>= 5), cdbs, mozilla-devscripts (>= 0.5~), zip
Standards-Version: 3.7.3
Vcs-Bzr: https://bazaar.launchpad.net/~netbook-remix-team/webfav/trunk
Vcs-Browser: http://bazaar.launchpad.net/~netbook-remix-team/webfav/trunk

Package: webfav
Architecture: all
Depends: firefox | firefox-3.0 | firefox-2, apturl (>= 0.1.2ubuntu1)
Description: Firefox extension for saving web favorites (bookmarks)
 into the Ubuntu Remix Launcher.

## webfav 1.13netbook1

=== debian/changelog ===
webfav (1.13netbook1) netbook-common; urgency=low

  * Bump maxVersion for Firefox 3.6 support

 -- Nicolas Valcárcel Scerpella <nicolas.valcarcel@canonical.com>  Thu, 16 Sep 2010 12:11:57 -0500

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 # xpi.mk will run a build command before packaging an .xpi file. you can use this
 # to produce an .xpi. if you define this, the clean rule will remove any .xpi file
 # found in the top level directory
-#MOZ_XPI_BUILD_COMMAND = sh build.sh
+MOZ_XPI_BUILD_COMMAND = sh build.sh
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/mozilla-devscripts/xpi.mk
-

## webfav 1.14

=== debian/changelog ===
webfav (1.14) netbook-jaunty; urgency=low

  * changed maxVersion to 3.5.* to support Firefox 3.5 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 20 Jul 2009 16:54:51 -0400

## webfav 1.14netbook0araneo1

=== debian/changelog ===
webfav (1.14netbook0araneo1) araneo; urgency=low

  * debian/rules : don't install the extension. Fix for LP: #426748

 -- Bruno Dilly <bruno.dilly@canonical.com>  Tue, 22 Sep 2009 19:40:20 -0300

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 MOZ_XPI_BUILD_COMMAND = sh build.sh
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/mozilla-devscripts/xpi.mk
+#include /usr/share/mozilla-devscripts/xpi.mk

## webfav 1.15

=== debian/changelog ===
webfav (1.15) netbook-jaunty; urgency=low

  * Bump MaxVerion compatibility to 3.*

 -- Nicolas Valcárcel Scerpella <nicolas.valcarcel@canonical.com>  Tue, 16 Aug 2011 10:20:09 -0500

## webfav 1.17

=== debian/changelog ===
webfav (1.17-0ubuntu4) maverick; urgency=low

  * Drop transitional and removed packages from Recommends (LP: #645339);
    Picked up from mozilla-devscripts 0.24
  * Bump Standards-Version to 3.9.1, no changes needed
    - update debian/control
  * Convert to 3.0 (quilt)
    - add debian/source/format

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 27 Sep 2010 05:03:11 -0500

webfav (1.17-0ubuntu3) lucid; urgency=low

  * Rebuild to pick up new features from mozilla-devscripts 0.21.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 12 Apr 2010 15:39:13 +0200

webfav (1.17-0ubuntu2) lucid; urgency=low

  * Rename binary package from webfav to xul-ext-webfav according to policy.
  * Simplify debian/rules.
  * Add Homepage field.
  * Use new features of mozilla-devscripts 0.16.
  * Add libxml-xpath-perl to Build-Depends.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Apr 2010 01:41:00 +0200

webfav (1.17-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Works with Firefox 3.6 (LP: #402093)
  * debian/control:
    - remove Bzr-Vcs to now hosted at ubuntu/webfav
    - bump Standards-Version

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 22 Feb 2010 16:38:03 +0100

webfav (1.16-0ubuntu2) lucid; urgency=low

  * Remove netbook-launcher from Recommends. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 03 Feb 2010 05:13:26 +1100

webfav (1.16-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Properly escapes HTML in desktop files; LP: #425467.
  * Bump up Standards-Version to 3.8.3; no change needed.
  * Wrap build-deps and deps to get cleaner diffs.
  * Add ${misc:Depends}.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 24 Sep 2009 13:27:28 +0200

webfav (1.15-0ubuntu3) karmic; urgency=low

  * Demote ${xpi:Depends} to Recommends as requested by asac; should also help
    pull in firefox instead of abrowser in UNR livefs builds.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 14 Sep 2009 11:41:26 +0200

webfav (1.15-0ubuntu2) karmic; urgency=low

  * Add translation support. Thanks, Alexander Sack! (LP: #396492) 
  * Update Vcs-Bzr to reflect reality.
  * Change Depends to use ${xpi:Depends}.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 11 Sep 2009 15:42:05 +1000

webfav (1.15-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Works with Firefox 3.5 (LP: #396453)
  * Add a watch file.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 07 Aug 2009 15:12:36 +0100

webfav (1.11-0ubuntu1) jaunty; urgency=low

  * Initial release.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 27 Jan 2009 18:41:46 +1100

=== debian/control ===
Source: webfav
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 5),
               cdbs,
               libxml-xpath-perl,
               mozilla-devscripts (>= 0.16~)
Standards-Version: 3.9.1
Homepage: https://launchpad.net/webfav

Package: xul-ext-webfav
Architecture: all
Depends: ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Replaces: webfav (<< 1.17-0ubuntu2)
Breaks: webfav (<< 1.17-0ubuntu2)
Description: Firefox extension for saving web favorites (bookmarks)
 This package contains a Firefox extension that is used for saving web
 favorites (also known as bookmarks) into a location so that the Netbook
 Launcher can utilise them.

Package: webfav
Architecture: all
Depends: xul-ext-webfav, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the webfav to the new xul-ext-webfav package.
 You can remove it safely.

=== debian/rules ===
#!/usr/bin/make -f

MOZ_XPI_BUILD_COMMAND = sh build.sh

MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(MOZ_EXTENSION_PKG)

MOZ_TRANSLATION_TARGET_IDS := netbook-webfav@ubuntu.com
MOZ_TRANSLATION_TARGET_DIRS := $(MOZ_EXTENSION_PKG)
MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(MOZ_EXTENSION_PKG)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk
include /usr/share/mozilla-devscripts/lp-locale-export.mk

EM_TRANSLATION_VERSION = $(shell xpath -q -e '/RDF/Description/em:version/text()' install.rdf)

binary-post-install/$(MOZ_EXTENSION_PKG):: auto-locale-xpi.mk/translate
	sed \
		-e 's/@EM_VERSION@/$(EM_TRANSLATION_VERSION)/' \
		< debian/translation-support/install.rdf.in > debian/install.rdf
	cd debian && zip lp-export-xpis/en-US.xpi install.rdf

=== debian/watch ===
version=3
https://launchpad.net/webfav/+download \
 .*/webfav[_-](.*)\.tar\.gz
